Fijar Error: Tu PHP installParece que falta la extensión MySQL que requiere WordPress.

"Tu PHP installParece que falta la extensión MySQL que requiere WordPress."Es un error encontrado por muchos propietarios de blogs y sitios web con WordPress.
Esto no es motivo de preocupación. Falta de extensión MySQL from PHP es típico de los sistemas operativos instalados desde cero, VPS o servidores dedicados, donde las extensiones PHP no formaban parte del paquete de instalación. Este problema está presente en ambos Ubuntu y la CentOS. En este escenario, el problema se resuelve de forma muy sencilla con una actualización de PHP y la instalación del módulo "php-mysql".
Actualice PHP e instale la extensión MySQL en Ubuntu

apt-get update
apt-get install php-mysql

Actualice PHP e instale la extensión MySQL en CentOS

yum update
yum install php70w-mysql

Después de este paso restarttienes el servicio Apache o Nginx.

También encontré el escenario en el que, aunque la extensión MySQL existe en PHP, un blog creado en WordPress muestra el error "Your PHP installParece que falta la extensión MySQL que WordPress requiere ”. La mayoría de las veces, el error se produce al instalar WordPress. Esta vez, sin embargo, apareció en un blog que había estado activo durante varios años.
En esta situación, descubrí que el problema no es con los módulos PHP, sino con la versión muy antigua de WordPress, que ya no es compatible con PHP 7.4.4RC1. Una simple actualización de WordPress a la última versión solucionó el error.

Apasionado de la tecnología, me gusta probar y escribir tutoriales sobre sistemas operativos. macOS, Linux, Windows, sobre la configuración del servidor web WordPress, WooCommerce y LEMP (Linux, NGINX, MySQL y PHP). Escribo en StealthSettings.com desde 2006, y unos años más tarde comencé a escribir en iHowTo.Tips tutoriales y noticias sobre dispositivos en el ecosistema Apple: iPhoneiPad Apple Reloj, HomePod, iMac, MacBook, AirPods y accesorios.

Deja un comentario